<%@ page language="java"%> 
<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*, java.io.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<title><%= resTit.getString("titLstCambiosCentro")%></title>
<HEAD>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</HEAD>	
<BODY  style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
	<form NAME="formCCentroPDFTarjeta" METHOD="POST">
		<%	
			m05bComun miComun = new m05bComun();
            m05bFileLog miLog = new m05bFileLog();
			m05bConexion miConex = new m05bConexion();
			
			java.sql.Connection conn=null;
			PreparedStatement pstmt = null, pstmt2 = null;
			ResultSet rs = null, rs2 = null;
				     
		    String sNombre="", sTitulo="", sNomFich="", persona="";
		    
		    persona = (String) session.getAttribute("persona");
		    
			String sCambioCentro = miComun.leerPropiedad("PDF.CambioCentro"); 
			String srcPDF = sCambioCentro ;
			sNomFich=miComun.leerPropiedad("Fich.CambiosCentro");
			String sFile="/datos/m05b/file/"+sNomFich;
			//String sFile2="";
			
		    String sSentenciaFichBD = " SELECT DISTINCT( REPLACE("+
		             	   m05bConstantes.COL_03_NOMBRE + ",'.','')) as Nombre,"+
		            	   m05bConstantes.COL_03_NCUENTA+","+
		            	   m05bConstantes.COL_03_NOMBRE+
		                   " FROM " +
		                   m05bConstantes.TAB_TARJETAS+" ,"+
		                   m05bConstantes.TAB_BANCOS +
		                   " WHERE ((" +
		                   m05bConstantes.COL_31_CUENTA +"="+ 
		                   m05bConstantes.COL_03_NCUENTA+") and ("+
		                   m05bConstantes.COL_31_SITUACION+"='A') AND ("+
		                   m05bConstantes.COL_31_CAMBIO+"='N'))"+
		                   " order by " +
		                   m05bConstantes.COL_03_NCUENTA ;
    	   miLog.addTraza(persona , "m05bCambioCentroPdfTarjeta" , "sSentenciaFichBD: " + sSentenciaFichBD, m05bConstantes.LOG_NIVEL_BAJO);

			
		      try {  
					conn = miConex.getConnection();
		            String sSentencia = " SELECT "+
		            	   m05bConstantes.COL_03_NOMBRE + ","+
		            	   m05bConstantes.COL_31_TARJETA +","+
		            	   m05bConstantes.COL_31_MATRICULA+",'888888','01', "+
		            	   m05bConstantes.COL_31_CENTRO+","+
		            	   m05bConstantes.COL_31_FCAMBIO+
		                   " FROM " +
		                   m05bConstantes.TAB_TARJETAS+" ,"+
		                   m05bConstantes.TAB_BANCOS +
		                   " WHERE ((" +
		                   m05bConstantes.COL_31_CUENTA +"="+ 
		                   m05bConstantes.COL_03_NCUENTA+") and ("+
		                   m05bConstantes.COL_31_SITUACION+"='A') AND ("+
		                   m05bConstantes.COL_31_CAMBIO+"='N'))"+
		                   " order by " +
		                   m05bConstantes.COL_03_NCUENTA ;
    	             miLog.addTraza(persona , "m05bCambioCentroPdfTarjeta" , "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);
				     pstmt = conn.prepareStatement(sSentencia);				     
				     rs = pstmt.executeQuery();
		%>
			
		<TABLE class="general">
		  <tr>
		       <td width="90%" align="right">
		       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
		       </td>
		  </tr>
		  <tr>
		    <td colspan="2">
		    <% if (rs.next() == true){ 
				     pstmt2 = conn.prepareStatement(sSentenciaFichBD);
				     rs2 = pstmt2.executeQuery();
				     %>
				   	 <table>
		           	 	 <tr>
		                   <%while (rs2.next()){
		                       sNombre=rs2.getString(1);
		                       sFile="";
		                       sFile=sNombre;
		                       sTitulo=rs2.getString(3);
    	             		   miLog.addTraza(persona , "m05bCambioCentroPdfTarjeta" , "sNombre: " + sNombre, m05bConstantes.LOG_NIVEL_BAJO);
		                       %>
		             	 	   <td class="inputFieldTitle"> <font size="2pt" family="verdana"><A href="#" type="binary" onclick="javascript:fncFileToResponse('<%=sFile%>');return false;"><%=sNomFich%><%=sTitulo%></A></font></td>
		             	  <%}
						if (rs2 != null)
							rs2.close();
		     			if (pstmt2 != null)
							pstmt2.close();%>
		             	  </tr>
		            </table>
				<embed name='pdfCambioCentro' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
		    <%} else {

				     %>

		    				  
				<embed name='pdfCambioCentro' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
		    <%}%>
			<%	} catch (Exception SQLException) {
					miLog.addTraza(SQLException);
				} 	finally{
						if (rs != null)
							rs.close();			
						if (pstmt != null)
							pstmt.close();
						if (rs2 != null)
							rs2.close();
		     			if (pstmt2 != null)
							pstmt2.close();
						if (conn != null)
							conn.close();}%>
		  	</td>
		  </tr>
		</TABLE>
	</form>
	<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
	</div>		
</body>
<SCRIPT language=JavaScript>
		function fncRetornar() {
		    document.formCCentroPDFTarjeta.action="/m05bParqueMovilWar/m05bMenu_c.jsp" ;
			document.formCCentroPDFTarjeta.submit();
		}
		function fncFileToResponse (direccion) {
		    var p;
		    var docu=document.formVehiculos;
			document.formCCentroPDFTarjeta.action="/m05bParqueMovilWar/m05bFileToResponseServlet?doc="+direccion ;
			document.formCCentroPDFTarjeta.submit();
		}
</SCRIPT>
				
</html>